package com.connor.plm.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @author xukl
 * @description 项目
 * @date 2022/12/14
 */
@Data
@TableName(value = "\"UDS_PROJ_INFO\"",schema = "infodba")
public class Project implements Serializable {
  private static final long serialVersionUID = 7577055919154263348L;

  /** 项目编号 */
  @TableField(value = "\"PROJ_ID\"")
  String projectId;
  /** 项目名称 */
  @TableField(value = "\"PROJ_NAME\"")
  String objectName;
  /** 项目经理 */
  @TableField(value ="\"PROJ_MANAGER1\"")
  String assignee;
  /** 项目经理工号 */
  @TableField(value = "\"PROJ_MANAGER1\"")
  String jobNumber;
  /** 三级品类 */
  @TableField(value = "\"PROJ_CATEGORY123\"")
  String category;
  /** 项目等级 */
  @TableField(value = "\"PROJ_PRODUCTLEVEL\"")
  String projectLevel;
}
